Subject: Re: problems with less
From: Earnie Boyd <[email-masked]>
To: John S Cooper <[email-masked]>
Cc: John S Cooper <[email-masked]>, [email-masked]
Date: Wed, 26 Apr 2000 06:47:59 -0700 (PDT)

--- John S Cooper <[email-masked]> wrote:
> Earnie Boyd <[email-masked]> writes:
> 
>  > > Since upgrading to cygwin 1.0 (on Win2K) less no longer displays
> properly.
>  > 
>  > Is that cygwin 1.0.0 or cygwin 1.1.0?  The difference is that the cygwin
> 1.0.0
>  > is the CD version and the cygwin 1.1.0 is the net release.
> 
> I pulled it off the net, so it must be 1.1.0.
> 
>  > > When I `less c:/etc/termcap', the top 3 lines of the file are not shown,
> even
>  > > after typing `g' (start of file).  However, if I type 'G' (end of file)
>  > > followed by 'g' then it is shown, although searching for strings doesn't
>  > > display the highlighted matches (they seem to be off the top of the
> screen).
>  > > It's pretty much unusable really.
>  > 
>  > I just tried thist using NT4 sp4, cygwin 1.1.0 and there wasn't a problem.
>  > I saw the head of the file, the tail of the file and even the hightlighted
>  > search strings.  BTW, the Command window is set for 2500 lines of buffer
>  > with 50 lines of display.
> 
> 
> Hmm.  I am using Win2K if that makes any difference.  It seems that the
> display
> is always messed up for me when the file being viewed has lines that wrap
> (i.e., longer than $COLUMNS, which is 80 for me).  I don't use a horizontal
> scrollbar.
> 

My COLUMNS are also 80.
My CYGWIN variable contains only nontsec.
My TERM is cygwin
The `stty' command shows:
speed 38400 baud; line = 0;
-imaxbel
-echoe -echok -echoctl -echoke

> If I pipe a file with the majority of its lines longer than 80 characters I
> get
> an extra newline everywhere a lines wraps, and after `G' `g', I can no longer
> view the top of the buffer.  Same behavior when running under bash (as
> opposed
> to zsh, my preferred shell).
> 

Line wrapping causes no problems, less is aware.

> The B20.1 `less' doesn't exhibit this behavior.  In fact, I've just
> discovered
> that display problems with my B20.1 less only show up when I provide the -r
> option.  I guess I'll revert to the B20.1 version for now...
> 

I don't know why this would work and the other not work.  AFAIK, the only
difference is that it was rebuilt with no source changes. (Ok, I suppose there
may have been some header changes.)

Regards,

=====
---
   Earnie Boyd: <mailto:[email-masked]>
            __Cygwin: POSIX on Windows__
Cygwin Newbies: <http://www.freeyellow.com/members5/gw32/index.html>
           __Minimalist GNU for Windows__
  Mingw32 List: <http://www.egroups.com/group/mingw32/>
    Mingw Home: <http://www.mingw.org/>

__________________________________________________
Do You Yahoo!?
Send online invitations with Yahoo! Invites.
http://invites.yahoo.com

--
Want to unsubscribe from this list?
Send a message to [email-masked]